# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.70.0"
name = "qsv"
version = "0.108.0"
authors = ["Joel Natividad <joel@datHere.com>"]
include = [
    "src/**/*",
    "LICENSE-MIT",
    "README.md",
    "CHANGELOG.md",
    "resources/luau/vendor/luadate/date.lua",
]
autobins = false
autotests = false
description = "A high performance CSV data-wrangling toolkit."
homepage = "https://github.com/jqnatividad/qsv#qsv-ultra-fast-csv-data-wrangling-toolkit"
documentation = "https://github.com/jqnatividad/qsv#qsv-ultra-fast-csv-data-wrangling-toolkit"
readme = "README.md"
keywords = [
    "csv",
    "geocode",
    "data-engineering",
    "etl",
    "opendata",
]
categories = [
    "command-line-utilities",
    "parser-implementations",
]
license = "MIT OR Unlicense"
repository = "https://github.com/jqnatividad/qsv"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
debug = false
strip = true

[profile.release-nightly]
panic = "abort"
inherits = "release"

[[bin]]
name = "qsv"
path = "src/main.rs"
test = true
doctest = false
bench = false
required-features = ["feature_capable"]

[[bin]]
name = "qsvlite"
path = "src/mainlite.rs"
test = true
doctest = false
bench = false
required-features = ["lite"]

[[bin]]
name = "qsvdp"
path = "src/maindp.rs"
test = true
doctest = false
bench = false
required-features = ["datapusher_plus"]

[[test]]
name = "tests"
path = "tests/tests.rs"

[dependencies.ahash]
version = "0.8"

[dependencies.bincode]
version = "1.3"

[dependencies.byteorder]
version = "1.4"

[dependencies.bytes]
version = "1"

[dependencies.cached]
version = "0.44"
features = [
    "proc_macro",
    "redis_ahash",
]
optional = true
default-features = false

[dependencies.calamine]
version = "0.21"
features = ["dates"]

[dependencies.censor]
version = "0.3"
optional = true

[dependencies.chrono]
version = "0.4"
default-features = false

[dependencies.console]
version = "0.15"
optional = true

[dependencies.cpc]
version = "1.9"
optional = true

[dependencies.crossbeam-channel]
version = "0.5"

[dependencies.csv]
version = "1.2"

[dependencies.csv-diff]
version = "0.1.0-beta.4"

[dependencies.csv-index]
version = "0.1"

[dependencies.csvs_convert]
version = "0.8"
optional = true

[dependencies.data-encoding]
version = "2.4"
optional = true

[dependencies.dotenvy]
version = "0.15"

[dependencies.dynfmt]
version = "0.1"
features = ["curly"]
optional = true
default-features = false

[dependencies.eudex]
version = "0.1"
optional = true

[dependencies.ext-sort]
version = "0.1"
features = ["memory-limit"]
default-features = false

[dependencies.file-format]
version = "0.17"
features = ["reader"]

[dependencies.filetime]
version = "0.2"

[dependencies.flate2]
version = "1"
optional = true

[dependencies.flexi_logger]
version = "0.25"
features = [
    "async",
    "compress",
]
default-features = false

[dependencies.futures]
version = "0.3"

[dependencies.futures-util]
version = "0.3"

[dependencies.governor]
version = "0.5"
optional = true

[dependencies.grex]
version = "1.4"
default-features = false

[dependencies.gzp]
version = "0.11"
features = ["snappy_default"]
default-features = false

[dependencies.hashbrown]
version = "0.14"
optional = true

[dependencies.indexmap]
version = "2.0"

[dependencies.indicatif]
version = "0.17"

[dependencies.itertools]
version = "0.11"

[dependencies.itoa]
version = "1"

[dependencies.jemallocator]
version = "0.5"
optional = true

[dependencies.jql-runner]
version = "6.0"
optional = true
default-features = false

[dependencies.jsonschema]
version = "0.17"
features = [
    "resolve-file",
    "resolve-http",
]
default-features = false

[dependencies.jsonxf]
version = "1"
optional = true

[dependencies.log]
version = "0.4"

[dependencies.mimalloc]
version = "0.1"
optional = true
default-features = false

[dependencies.mlua]
version = "0.9.0-beta.3"
features = [
    "luau",
    "serialize",
]
optional = true

[dependencies.num_cpus]
version = "1"

[dependencies.odht]
version = "0.3"

[dependencies.polars]
version = "0.30"
features = [
    "lazy",
    "streaming",
    "object",
    "asof_join",
    "cross_join",
    "semi_anti_join",
    "sql",
    "json",
    "parquet",
    "ipc",
    "temporal",
    "performant",
]
optional = true

[dependencies.pyo3]
version = "0.19"
features = ["auto-initialize"]
optional = true

[dependencies.qsv-dateparser]
version = "0.9"

[dependencies.qsv-sniffer]
version = "0.9"
features = ["runtime-dispatch-simd"]
default-features = false

[dependencies.qsv-stats]
version = "0.10"

[dependencies.qsv_currency]
version = "0.6"
optional = true

[dependencies.qsv_docopt]
version = "1.3"

[dependencies.rand]
version = "0.8"

[dependencies.rayon]
version = "1.7"

[dependencies.redis]
version = "0.23"
features = ["ahash"]
optional = true
default-features = false

[dependencies.regex]
version = "1"

[dependencies.reqwest]
version = "0.11"
features = [
    "blocking",
    "brotli",
    "cookies",
    "deflate",
    "gzip",
    "rustls-tls",
    "stream",
]
default-features = false

[dependencies.reverse_geocoder]
version = "3"
optional = true

[dependencies.rust_decimal]
version = "1.30"

[dependencies.ryu]
version = "1"

[dependencies.sanitise-file-name]
version = "1.0"
optional = true

[dependencies.self_update]
version = "0.37"
features = [
    "archive-zip",
    "compression-zip-deflate",
    "rustls",
]
optional = true
default-features = false

[dependencies.semver]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"
features = ["preserve_order"]

[dependencies.serde_stacker]
version = "0.1"
optional = true

[dependencies.serde_urlencoded]
version = "0.7"
optional = true

[dependencies.snap]
version = "1"

[dependencies.strsim]
version = "0.10"
optional = true

[dependencies.strum]
version = "0.25"

[dependencies.strum_macros]
version = "0.25"

[dependencies.sysinfo]
version = "0.29"

[dependencies.tabwriter]
version = "1.2"

[dependencies.tempfile]
version = "3"

[dependencies.test-data-generation]
version = "0.3"
optional = true

[dependencies.thousands]
version = "0.2"

[dependencies.threadpool]
version = "1.8"

[dependencies.titlecase]
version = "2"
optional = true

[dependencies.tokio]
version = "1"

[dependencies.url]
version = "2.4"

[dependencies.uuid]
version = "1"
features = ["v4"]

[dependencies.vader_sentiment]
version = "0.1"
optional = true

[dependencies.whatlang]
version = "0.16"
optional = true

[dev-dependencies.actix-governor]
version = "0.4"

[dev-dependencies.actix-web]
version = "4.3"
features = [
    "compress-brotli",
    "compress-gzip",
]
default-features = false

[dev-dependencies.assert-json-diff]
version = "2.0"

[dev-dependencies.newline-converter]
version = "0.3"

[dev-dependencies.postgres]
version = "0.19"

[dev-dependencies.quickcheck]
version = "1"
default-features = false

[dev-dependencies.rusqlite]
version = "0.29"
features = ["bundled"]

[dev-dependencies.serial_test]
version = "2.0"
features = ["file_locks"]

[features]
all_features = [
    "feature_capable",
    "apply",
    "fetch",
    "foreach",
    "generate",
    "luau",
    "polars",
    "python",
    "self_update",
    "to",
]
apply = [
    "cached",
    "censor",
    "cpc",
    "data-encoding",
    "dynfmt",
    "eudex",
    "hashbrown",
    "qsv_currency",
    "reverse_geocoder",
    "strsim",
    "titlecase",
    "vader_sentiment",
    "whatlang",
]
datapusher_plus = [
    "dynfmt",
    "self_update",
]
default = ["mimalloc"]
feature_capable = []
fetch = [
    "cached",
    "console",
    "dynfmt",
    "flate2",
    "governor",
    "hashbrown",
    "jql-runner",
    "jsonxf",
    "redis",
    "serde_stacker",
    "serde_urlencoded",
]
foreach = []
generate = ["test-data-generation"]
lite = []
luau = [
    "mlua",
    "sanitise-file-name",
]
nightly = [
    "regex/unstable",
    "rand/nightly",
    "rand/simd_support",
    "pyo3/nightly",
    "hashbrown/nightly",
]
python = ["pyo3"]
to = ["csvs_convert"]

[target."cfg(not(target_arch = \"aarch64\"))".dependencies.simdutf8]
version = "0.1"

[target."cfg(target_arch = \"aarch64\")".dependencies.simdutf8]
version = "0.1"
features = ["aarch64_neon"]
